unit cubefrm;

interface

uses
  {$IFNDEF FPC}Windows, {$ELSE}LResources, {$ENDIF} SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dx_vgcore, dx_scene, dx_vglayer, dx_controls;

type
  TfrmCube = class(TForm)
    dxScene1: TdxScene;
    Root1: TdxVisualObject;
    ScreenDummy1: TdxScreenDummy;
    layerFront: TdxGUIObjectLayer;
    Root2: TvxLayout;
    Background1: TvxBackground;
    layerRight: TdxGUIObjectLayer;
    Root3: TvxLayout;
    Rectangle1: TvxRectangle;
    Toolbar: TdxGUIObjectLayer;
    Root4: TvxLayout;
    TrackBar1: TvxTrackBar;
    Button2: TvxButton;
    TrackBar2: TvxTrackBar;
    layerBack: TdxGUIObjectLayer;
    layerLeft: TdxGUIObjectLayer;
    Root5: TvxLayout;
    Rectangle2: TvxRectangle;
    TextBox1: TvxTextBox;
    Root6: TvxLayout;
    Rectangle3: TvxRectangle;
    ScrollBar1: TvxScrollBar;
    Label1: TvxLabel;
    GUIText1: TdxGUIText;
    GUIImage1: TdxGUIImage;
    procedure TrackBar1Change(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure dxScene1MouseWheel(Sender: TObject; Shift: TShiftState;
      WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCube: TfrmCube;

implementation

{$R *.dfm}

procedure TfrmCube.TrackBar1Change(Sender: TObject);
begin
  ScreenDummy1.RotateAngle.Y := TrackBar1.Value;
end;

procedure TfrmCube.FormResize(Sender: TObject);
begin
  ScreenDummy1.Position.X := ClientWidth div 2;
  ScreenDummy1.Position.Y := ClientHeight div 2;
end;

procedure TfrmCube.dxScene1MouseWheel(Sender: TObject; Shift: TShiftState;
  WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
begin
  TrackBar1.Value := TrackBar1.Value + (WheelDelta / 60)
end;

end.
